@import url('https://fonts.googleapis.com/css2?family=Poppins:wght@400;700&display=swap');

* {
    padding: 0;
    margin: 0;
    box-sizing: border-box;
    font-family: 'Poppins', sans-serif;

}

body {
    display: flex;
    align-items: center;
    height: auto;
    overflow-x: hidden;
    background-color: rgb(30, 30, 40);
    flex-direction: column;
}

header {
    width: 100%;
    height: 150px;
    display: flex;
    justify-content: space-around;
    align-items: center;
    box-shadow: 0px 5px 15px rgba(0, 0, 0, 0.1);
    color: #fff;
}

header .logo {
    height: 70%;
    animation: spin 30s linear infinite;

}

@keyframes spin {
    to{
        transform: rotate(360deg);
    }
}

header .logo:hover{
    filter: hue-rotate();

}
.wrap-main {
    display: grid;
    width: 80%;
    grid-template-columns: 1fr 1fr 1fr;
    grid-auto-rows: 40vh;
}


.container-image {
    position: relative;
    overflow: hidden;
    transition: .3s;
}

.container-image:nth-child(2){
    grid-column-start: 2;
    grid-column-end: 4;
    grid-row-start: 1;
    grid-row-end: 3;
}
/* 
.container-image:nth-child(4){
    grid-column-start: 1;
    grid-column-end: 3;
    grid-row-start: 5;
    grid-row-end: 7;
} */

.img {
    max-width: 100%;
    min-height: 100%;
    object-fit: cover;
    display: block;
    height: auto;
    filter: blur(2px);
    transition: filter .5s;
}

.overlay {
    position: absolute;
    bottom: 0;
    left: 0;
    width: 100%;
    height: auto;
    background-color: rgba(0, 0, 0, .5);
    display: flex;
    justify-content: center;
    align-items: center;
    flex-direction: column;
    padding: 20px 0;
    gap: 6px;
    transition: bottom 1s ease-in-out;

}

h2 {
    color: #fff;
    text-align: center;
    font-size: 1.3vw;
    letter-spacing: 2px;
    text-transform: uppercase;
    font-weight: 700;
}

p {
    color: rgb(202, 202, 202);
    text-align: center;
    font-size: 1vw;
    letter-spacing: 2px;
}

footer {
    width: 100%;
    height: 100px;
    display: flex;
    align-items: center;
    justify-content: center;
    box-shadow: 0px -5px 15px rgba(0, 0, 0, 0.1);


}

.container-image:hover {
    transform: scale(1.005);
    z-index: 1;
}

.container-image:hover .overlay {
    bottom: -40%;
    transition: bottom .3s ease-in;
}

.container-image:hover img {
    filter: blur(0);
}

::-webkit-scrollbar {
    width: 10px;
}

::-webkit-scrollbar-thumb {
    background-color: rgb(48, 47, 47);
    border-radius: 50px;
}

@media screen and (max-width: 900px) {
    .wrap-main {
        grid-template-columns: 1fr 1fr;
    }

    h2 {
        font-size: 2vw;
    }

    p {
        font-size: 1.8vw;
    }
    
}

@media screen and (max-width: 720px) {
    .wrap-main {
        grid-template-columns: 1fr;
        width: 100%;
    }

    h2 {
        font-size: 4vw;
    }

    p {
        font-size: 4vw;
    }

    .container-image:nth-child(2){
        grid-column-start: 1;
        grid-column-end: 2;
        grid-row-start: 2;
        grid-row-end: 3;
    }
}